For the complete documentation index, see llms.txt. This page is also available as Markdown.

Fax

Requests for working with faxes. Most requests require a fax ID, which you can obtain from the Create Draft Fax response or the Get all Faxes response.

To send a fax via the API:

  1. Create Draft Fax — the response returns the draft ID required for all subsequent actions.

  2. Optionally use Update Fax to edit the draft before sending.

  3. Upload files to the fax draft.

  4. Optionally use Assign Fax to associate a patient with the fax.

  5. Send Draft Fax to dispatch it.

Get all Faxes

get

Get a list of all fax numbers in the env

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
Query parameters
statusesstring[]Optional

multivalue

Example: ["DRAFT"]
directionstringOptional

IN or OUT

Example: IN
subjectstringOptional

Fax Subject

Example: Test
fromNumberstringOptional

A phone number without a plus sign at the beginning

Example: 14158885634
toNumberstringOptional

A phone number without a plus sign at the beginning

Example: 14158885634
patientIdstring · uuidOptional

The patient uuid associated with the fax

reviewedbooleanOptional

true or false

Example: true
sentByNamestringOptional

The name of the user who sent the fax

sentBystringOptional

The id of the user who sent the fax

createdAtBeforestringOptionalExample: 2026-04-30T11:33:03.350Z
createdAtAfterstringOptionalExample: 2026-04-30T11:33:03.350Z
receivedAtBeforestringOptionalExample: 2026-04-30T11:33:03.350Z
receivedAtAfterstringOptionalExample: 2026-04-30T11:33:03.350Z
Responses
200

Paginated list of faxes

application/json

Standard paginated response wrapper.

totalElementsintegerOptional

Total number of matching records

totalPagesintegerOptional

Total number of pages

lastbooleanOptional
firstbooleanOptional
numberintegerOptional

Current page number (zero-based)

sizeintegerOptional

Page size

numberOfElementsintegerOptional

Number of elements on the current page

emptybooleanOptional
get/{tenantName}/{instanceName}/faxes
GET /{tenantName}/{instanceName}/faxes HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "content": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "123e4567-e89b-12d3-a456-426614174000",
      "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
      "createdByName": "API_CLIENT:MYAPP",
      "updatedByName": "text",
      "faxId": "text",
      "externalId": "123e4567-e89b-12d3-a456-426614174000",
      "direction": "IN",
      "fromNumber": "text",
      "sender": {
        "type": "FAX_NUMBER",
        "faxNumber": "+18483733682"
      },
      "toNumber": "text",
      "receiver": {
        "type": "FAX_NUMBER",
        "faxNumber": "+18483733682"
      },
      "subject": "text",
      "status": "DRAFT",
      "originalStatus": "text",
      "statusMessage": "text",
      "document": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "type": "doc-type-others",
        "title": "Others"
      },
      "patient": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "Jane Doe"
      },
      "receivedAt": "2026-01-01T00:00:00.000Z",
      "highQuality": true,
      "files": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "originalName": "document.pdf",
          "size": 1,
          "contentType": "application/pdf",
          "storageKey": "text"
        }
      ],
      "sentBy": "123e4567-e89b-12d3-a456-426614174000",
      "sentByName": "text",
      "reviewed": true
    }
  ],
  "pageable": {
    "sort": {
      "sorted": true,
      "unsorted": true,
      "empty": true
    },
    "pageSize": 1,
    "pageNumber": 1,
    "offset": 1,
    "unpaged": true,
    "paged": true
  },
  "totalElements": 1,
  "totalPages": 1,
  "last": true,
  "first": true,
  "number": 1,
  "size": 1,
  "numberOfElements": 1,
  "empty": true,
  "sort": {
    "sorted": true,
    "unsorted": true,
    "empty": true
  }
}

Create Draft Fax

post

Request to create a fax draft. The response will return the draft ID, which is required for subsequent requests to perform actions on this draft

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
Body
subjectstring · nullableOptional
highQualitybooleanOptionalDefault: false
patientIdstring · uuid · nullableOptional
Responses
201

Fax draft created

application/json
idstring · uuidOptional
createdAtstring · date-timeOptional
updatedAtstring · date-timeOptional
createdBystring · uuid · nullableOptional
updatedBystring · uuid · nullableOptional
createdByNamestringOptionalExample: API_CLIENT:MYAPP
updatedByNamestringOptional
faxIdstring · nullableOptional

External fax provider ID

externalIdstring · uuid · nullableOptional
directionstring · enumOptionalPossible values:
fromNumberstringOptional

E.164 format

toNumberstring · nullableOptional

E.164 format

subjectstring · nullableOptional
statusstring · enumOptionalPossible values:
originalStatusstring · nullableOptional

Raw status string from the fax provider

statusMessagestring · nullableOptional
receivedAtstring · date-time · nullableOptional
highQualitybooleanOptional
sentBystring · uuid · nullableOptional
sentByNamestring · nullableOptional
reviewedbooleanOptional
post/{tenantName}/{instanceName}/faxes
POST /{tenantName}/{instanceName}/faxes HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 207

{
  "sender": {
    "type": "FAX_NUMBER",
    "faxNumber": "+18483733682"
  },
  "receiver": {
    "type": "FAX_NUMBER",
    "faxNumber": "+18483733682"
  },
  "subject": "text",
  "highQuality": false,
  "patientId": "123e4567-e89b-12d3-a456-426614174000"
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "123e4567-e89b-12d3-a456-426614174000",
  "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
  "createdByName": "API_CLIENT:MYAPP",
  "updatedByName": "text",
  "faxId": "text",
  "externalId": "123e4567-e89b-12d3-a456-426614174000",
  "direction": "IN",
  "fromNumber": "text",
  "sender": {
    "type": "FAX_NUMBER",
    "faxNumber": "+18483733682"
  },
  "toNumber": "text",
  "receiver": {
    "type": "FAX_NUMBER",
    "faxNumber": "+18483733682"
  },
  "subject": "text",
  "status": "DRAFT",
  "originalStatus": "text",
  "statusMessage": "text",
  "document": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "type": "doc-type-others",
    "title": "Others"
  },
  "patient": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "Jane Doe"
  },
  "receivedAt": "2026-01-01T00:00:00.000Z",
  "highQuality": true,
  "files": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "originalName": "document.pdf",
      "size": 1,
      "contentType": "application/pdf",
      "storageKey": "text"
    }
  ],
  "sentBy": "123e4567-e89b-12d3-a456-426614174000",
  "sentByName": "text",
  "reviewed": true
}

Get Fax by ID

get

Allows you to find a specific fax

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
faxIdstring · uuidRequired

UUID of the fax

Responses
200

Fax record

application/json
idstring · uuidOptional
createdAtstring · date-timeOptional
updatedAtstring · date-timeOptional
createdBystring · uuid · nullableOptional
updatedBystring · uuid · nullableOptional
createdByNamestringOptionalExample: API_CLIENT:MYAPP
updatedByNamestringOptional
faxIdstring · nullableOptional

External fax provider ID

externalIdstring · uuid · nullableOptional
directionstring · enumOptionalPossible values:
fromNumberstringOptional

E.164 format

toNumberstring · nullableOptional

E.164 format

subjectstring · nullableOptional
statusstring · enumOptionalPossible values:
originalStatusstring · nullableOptional

Raw status string from the fax provider

statusMessagestring · nullableOptional
receivedAtstring · date-time · nullableOptional
highQualitybooleanOptional
sentBystring · uuid · nullableOptional
sentByNamestring · nullableOptional
reviewedbooleanOptional
get/{tenantName}/{instanceName}/faxes/{faxId}
GET /{tenantName}/{instanceName}/faxes/{faxId} HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "123e4567-e89b-12d3-a456-426614174000",
  "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
  "createdByName": "API_CLIENT:MYAPP",
  "updatedByName": "text",
  "faxId": "text",
  "externalId": "123e4567-e89b-12d3-a456-426614174000",
  "direction": "IN",
  "fromNumber": "text",
  "sender": {
    "type": "FAX_NUMBER",
    "faxNumber": "+18483733682"
  },
  "toNumber": "text",
  "receiver": {
    "type": "FAX_NUMBER",
    "faxNumber": "+18483733682"
  },
  "subject": "text",
  "status": "DRAFT",
  "originalStatus": "text",
  "statusMessage": "text",
  "document": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "type": "doc-type-others",
    "title": "Others"
  },
  "patient": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "Jane Doe"
  },
  "receivedAt": "2026-01-01T00:00:00.000Z",
  "highQuality": true,
  "files": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "originalName": "document.pdf",
      "size": 1,
      "contentType": "application/pdf",
      "storageKey": "text"
    }
  ],
  "sentBy": "123e4567-e89b-12d3-a456-426614174000",
  "sentByName": "text",
  "reviewed": true
}

Delete Fax

delete

Delete the fax with the specified ID

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
faxIdstring · uuidRequired

UUID of the fax

Responses
200

Fax deleted

No content

delete/{tenantName}/{instanceName}/faxes/{faxId}
DELETE /{tenantName}/{instanceName}/faxes/{faxId} HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Update Fax

patch

Request to update faxes.

This request allows you to edit a fax draft before sending it. You can retrieve the fax ID from the response to a fax draft creation request or from a fax list request.

You can also use this request to mark an incoming fax as reviewed. To do this, set the “reviewed” parameter as true in the request body: {

"reviewed": true

} This will only work for incoming faxes.

For outgoing faxes, you can also update the patient in this request. To do so, include the following in the body: "patientId": {{patientId}}

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
faxIdstring · uuidRequired

UUID of the fax

Body

Partial update — all fields optional.

subjectstring · nullableOptional
highQualitybooleanOptional
patientIdstring · uuidOptional

For outgoing faxes only.

reviewedbooleanOptional

For incoming faxes only — marks the fax as reviewed.

Responses
200

Updated fax

application/json
idstring · uuidOptional
createdAtstring · date-timeOptional
updatedAtstring · date-timeOptional
createdBystring · uuid · nullableOptional
updatedBystring · uuid · nullableOptional
createdByNamestringOptionalExample: API_CLIENT:MYAPP
updatedByNamestringOptional
faxIdstring · nullableOptional

External fax provider ID

externalIdstring · uuid · nullableOptional
directionstring · enumOptionalPossible values:
fromNumberstringOptional

E.164 format

toNumberstring · nullableOptional

E.164 format

subjectstring · nullableOptional
statusstring · enumOptionalPossible values:
originalStatusstring · nullableOptional

Raw status string from the fax provider

statusMessagestring · nullableOptional
receivedAtstring · date-time · nullableOptional
highQualitybooleanOptional
sentBystring · uuid · nullableOptional
sentByNamestring · nullableOptional
reviewedbooleanOptional
patch/{tenantName}/{instanceName}/faxes/{faxId}
PATCH /{tenantName}/{instanceName}/faxes/{faxId} HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 164

{
  "receiver": {
    "type": "FAX_NUMBER",
    "faxNumber": "+18483733682"
  },
  "subject": "text",
  "highQuality": true,
  "patientId": "123e4567-e89b-12d3-a456-426614174000",
  "reviewed": true
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "123e4567-e89b-12d3-a456-426614174000",
  "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
  "createdByName": "API_CLIENT:MYAPP",
  "updatedByName": "text",
  "faxId": "text",
  "externalId": "123e4567-e89b-12d3-a456-426614174000",
  "direction": "IN",
  "fromNumber": "text",
  "sender": {
    "type": "FAX_NUMBER",
    "faxNumber": "+18483733682"
  },
  "toNumber": "text",
  "receiver": {
    "type": "FAX_NUMBER",
    "faxNumber": "+18483733682"
  },
  "subject": "text",
  "status": "DRAFT",
  "originalStatus": "text",
  "statusMessage": "text",
  "document": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "type": "doc-type-others",
    "title": "Others"
  },
  "patient": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "Jane Doe"
  },
  "receivedAt": "2026-01-01T00:00:00.000Z",
  "highQuality": true,
  "files": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "originalName": "document.pdf",
      "size": 1,
      "contentType": "application/pdf",
      "storageKey": "text"
    }
  ],
  "sentBy": "123e4567-e89b-12d3-a456-426614174000",
  "sentByName": "text",
  "reviewed": true
}

Upload files to Draft Fax

post

Request to upload files to a fax draft. You can retrieve the fax ID from the response to a fax draft creation request or from a fax list request

The response will also include the IDs of the uploaded files — these are required to request file deletion.

File extensions: jpg (jpeg), png, pdf, doсx.

File size: up to 10 files with a total size of up to 100 MB.

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
faxIdstring · uuidRequired

UUID of the fax

Body
filesstring · binary[]Optional

Allowed: jpg, jpeg, png, pdf, docx. Up to 10 files, 100MB total.

Responses
200

Updated fax with uploaded files

application/json
idstring · uuidOptional
createdAtstring · date-timeOptional
updatedAtstring · date-timeOptional
createdBystring · uuid · nullableOptional
updatedBystring · uuid · nullableOptional
createdByNamestringOptionalExample: API_CLIENT:MYAPP
updatedByNamestringOptional
faxIdstring · nullableOptional

External fax provider ID

externalIdstring · uuid · nullableOptional
directionstring · enumOptionalPossible values:
fromNumberstringOptional

E.164 format

toNumberstring · nullableOptional

E.164 format

subjectstring · nullableOptional
statusstring · enumOptionalPossible values:
originalStatusstring · nullableOptional

Raw status string from the fax provider

statusMessagestring · nullableOptional
receivedAtstring · date-time · nullableOptional
highQualitybooleanOptional
sentBystring · uuid · nullableOptional
sentByNamestring · nullableOptional
reviewedbooleanOptional
post/{tenantName}/{instanceName}/faxes/{faxId}/files
POST /{tenantName}/{instanceName}/faxes/{faxId}/files HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 20

{
  "files": [
    "binary"
  ]
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "123e4567-e89b-12d3-a456-426614174000",
  "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
  "createdByName": "API_CLIENT:MYAPP",
  "updatedByName": "text",
  "faxId": "text",
  "externalId": "123e4567-e89b-12d3-a456-426614174000",
  "direction": "IN",
  "fromNumber": "text",
  "sender": {
    "type": "FAX_NUMBER",
    "faxNumber": "+18483733682"
  },
  "toNumber": "text",
  "receiver": {
    "type": "FAX_NUMBER",
    "faxNumber": "+18483733682"
  },
  "subject": "text",
  "status": "DRAFT",
  "originalStatus": "text",
  "statusMessage": "text",
  "document": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "type": "doc-type-others",
    "title": "Others"
  },
  "patient": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "Jane Doe"
  },
  "receivedAt": "2026-01-01T00:00:00.000Z",
  "highQuality": true,
  "files": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "originalName": "document.pdf",
      "size": 1,
      "contentType": "application/pdf",
      "storageKey": "text"
    }
  ],
  "sentBy": "123e4567-e89b-12d3-a456-426614174000",
  "sentByName": "text",
  "reviewed": true
}

Delete file from Draft Fax

delete

This request allows you to delete a file from the fax draft. To do this, you must specify the file ID. You can retrieve the file ID from the response to a fax file upload request or from a fax list request

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
faxIdstring · uuidRequired

UUID of the fax

fileIdstring · uuidRequired

UUID of the uploaded file

Responses
200

Updated fax with file removed

application/json
idstring · uuidOptional
createdAtstring · date-timeOptional
updatedAtstring · date-timeOptional
createdBystring · uuid · nullableOptional
updatedBystring · uuid · nullableOptional
createdByNamestringOptionalExample: API_CLIENT:MYAPP
updatedByNamestringOptional
faxIdstring · nullableOptional

External fax provider ID

externalIdstring · uuid · nullableOptional
directionstring · enumOptionalPossible values:
fromNumberstringOptional

E.164 format

toNumberstring · nullableOptional

E.164 format

subjectstring · nullableOptional
statusstring · enumOptionalPossible values:
originalStatusstring · nullableOptional

Raw status string from the fax provider

statusMessagestring · nullableOptional
receivedAtstring · date-time · nullableOptional
highQualitybooleanOptional
sentBystring · uuid · nullableOptional
sentByNamestring · nullableOptional
reviewedbooleanOptional
delete/{tenantName}/{instanceName}/faxes/{faxId}/files/{fileId}
DELETE /{tenantName}/{instanceName}/faxes/{faxId}/files/{fileId} HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "123e4567-e89b-12d3-a456-426614174000",
  "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
  "createdByName": "API_CLIENT:MYAPP",
  "updatedByName": "text",
  "faxId": "text",
  "externalId": "123e4567-e89b-12d3-a456-426614174000",
  "direction": "IN",
  "fromNumber": "text",
  "sender": {
    "type": "FAX_NUMBER",
    "faxNumber": "+18483733682"
  },
  "toNumber": "text",
  "receiver": {
    "type": "FAX_NUMBER",
    "faxNumber": "+18483733682"
  },
  "subject": "text",
  "status": "DRAFT",
  "originalStatus": "text",
  "statusMessage": "text",
  "document": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "type": "doc-type-others",
    "title": "Others"
  },
  "patient": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "Jane Doe"
  },
  "receivedAt": "2026-01-01T00:00:00.000Z",
  "highQuality": true,
  "files": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "originalName": "document.pdf",
      "size": 1,
      "contentType": "application/pdf",
      "storageKey": "text"
    }
  ],
  "sentBy": "123e4567-e89b-12d3-a456-426614174000",
  "sentByName": "text",
  "reviewed": true
}

Send Draft Fax

post

Send a draft fax with the specified ID. The fax status in the response will be “PROCESSING,” which means the fax is currently being sent.

You can retrieve the fax ID from the response to a fax draft creation request or from a fax list request

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
faxIdstring · uuidRequired

UUID of the fax

Responses
200

Fax queued for sending (status will be PROCESSING)

application/json
idstring · uuidOptional
createdAtstring · date-timeOptional
updatedAtstring · date-timeOptional
createdBystring · uuid · nullableOptional
updatedBystring · uuid · nullableOptional
createdByNamestringOptionalExample: API_CLIENT:MYAPP
updatedByNamestringOptional
faxIdstring · nullableOptional

External fax provider ID

externalIdstring · uuid · nullableOptional
directionstring · enumOptionalPossible values:
fromNumberstringOptional

E.164 format

toNumberstring · nullableOptional

E.164 format

subjectstring · nullableOptional
statusstring · enumOptionalPossible values:
originalStatusstring · nullableOptional

Raw status string from the fax provider

statusMessagestring · nullableOptional
receivedAtstring · date-time · nullableOptional
highQualitybooleanOptional
sentBystring · uuid · nullableOptional
sentByNamestring · nullableOptional
reviewedbooleanOptional
post/{tenantName}/{instanceName}/faxes/{faxId}/send
POST /{tenantName}/{instanceName}/faxes/{faxId}/send HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "123e4567-e89b-12d3-a456-426614174000",
  "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
  "createdByName": "API_CLIENT:MYAPP",
  "updatedByName": "text",
  "faxId": "text",
  "externalId": "123e4567-e89b-12d3-a456-426614174000",
  "direction": "IN",
  "fromNumber": "text",
  "sender": {
    "type": "FAX_NUMBER",
    "faxNumber": "+18483733682"
  },
  "toNumber": "text",
  "receiver": {
    "type": "FAX_NUMBER",
    "faxNumber": "+18483733682"
  },
  "subject": "text",
  "status": "DRAFT",
  "originalStatus": "text",
  "statusMessage": "text",
  "document": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "type": "doc-type-others",
    "title": "Others"
  },
  "patient": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "Jane Doe"
  },
  "receivedAt": "2026-01-01T00:00:00.000Z",
  "highQuality": true,
  "files": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "originalName": "document.pdf",
      "size": 1,
      "contentType": "application/pdf",
      "storageKey": "text"
    }
  ],
  "sentBy": "123e4567-e89b-12d3-a456-426614174000",
  "sentByName": "text",
  "reviewed": true
}

Retry Sending

post

If the fax failed to send, you can use this request to retry sending it. You can retrieve the fax ID from the response to a fax draft creation request or from a fax list request

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
faxIdstring · uuidRequired

UUID of the fax

Responses
200

Fax re-queued for sending

application/json
idstring · uuidOptional
createdAtstring · date-timeOptional
updatedAtstring · date-timeOptional
createdBystring · uuid · nullableOptional
updatedBystring · uuid · nullableOptional
createdByNamestringOptionalExample: API_CLIENT:MYAPP
updatedByNamestringOptional
faxIdstring · nullableOptional

External fax provider ID

externalIdstring · uuid · nullableOptional
directionstring · enumOptionalPossible values:
fromNumberstringOptional

E.164 format

toNumberstring · nullableOptional

E.164 format

subjectstring · nullableOptional
statusstring · enumOptionalPossible values:
originalStatusstring · nullableOptional

Raw status string from the fax provider

statusMessagestring · nullableOptional
receivedAtstring · date-time · nullableOptional
highQualitybooleanOptional
sentBystring · uuid · nullableOptional
sentByNamestring · nullableOptional
reviewedbooleanOptional
post/{tenantName}/{instanceName}/faxes/{faxId}/retry
POST /{tenantName}/{instanceName}/faxes/{faxId}/retry HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "123e4567-e89b-12d3-a456-426614174000",
  "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
  "createdByName": "API_CLIENT:MYAPP",
  "updatedByName": "text",
  "faxId": "text",
  "externalId": "123e4567-e89b-12d3-a456-426614174000",
  "direction": "IN",
  "fromNumber": "text",
  "sender": {
    "type": "FAX_NUMBER",
    "faxNumber": "+18483733682"
  },
  "toNumber": "text",
  "receiver": {
    "type": "FAX_NUMBER",
    "faxNumber": "+18483733682"
  },
  "subject": "text",
  "status": "DRAFT",
  "originalStatus": "text",
  "statusMessage": "text",
  "document": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "type": "doc-type-others",
    "title": "Others"
  },
  "patient": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "Jane Doe"
  },
  "receivedAt": "2026-01-01T00:00:00.000Z",
  "highQuality": true,
  "files": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "originalName": "document.pdf",
      "size": 1,
      "contentType": "application/pdf",
      "storageKey": "text"
    }
  ],
  "sentBy": "123e4567-e89b-12d3-a456-426614174000",
  "sentByName": "text",
  "reviewed": true
}

Assign Fax

post

Request to assign a patient to the fax.

For an incoming fax, the request body is required to include the patient ID and the document type in which the fax file will be saved.

For an outgoing fax, only the patient ID is enough.

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
faxIdstring · uuidRequired

UUID of the fax

Body
patientIdstring · uuidRequired
documentTypestringOptional

Required for incoming faxes — the document type to file the fax under.

Responses
200

Updated fax with patient assigned

application/json
idstring · uuidOptional
createdAtstring · date-timeOptional
updatedAtstring · date-timeOptional
createdBystring · uuid · nullableOptional
updatedBystring · uuid · nullableOptional
createdByNamestringOptionalExample: API_CLIENT:MYAPP
updatedByNamestringOptional
faxIdstring · nullableOptional

External fax provider ID

externalIdstring · uuid · nullableOptional
directionstring · enumOptionalPossible values:
fromNumberstringOptional

E.164 format

toNumberstring · nullableOptional

E.164 format

subjectstring · nullableOptional
statusstring · enumOptionalPossible values:
originalStatusstring · nullableOptional

Raw status string from the fax provider

statusMessagestring · nullableOptional
receivedAtstring · date-time · nullableOptional
highQualitybooleanOptional
sentBystring · uuid · nullableOptional
sentByNamestring · nullableOptional
reviewedbooleanOptional
post/{tenantName}/{instanceName}/faxes/{faxId}/assign
POST /{tenantName}/{instanceName}/faxes/{faxId}/assign HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 74

{
  "patientId": "123e4567-e89b-12d3-a456-426614174000",
  "documentType": "text"
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "123e4567-e89b-12d3-a456-426614174000",
  "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
  "createdByName": "API_CLIENT:MYAPP",
  "updatedByName": "text",
  "faxId": "text",
  "externalId": "123e4567-e89b-12d3-a456-426614174000",
  "direction": "IN",
  "fromNumber": "text",
  "sender": {
    "type": "FAX_NUMBER",
    "faxNumber": "+18483733682"
  },
  "toNumber": "text",
  "receiver": {
    "type": "FAX_NUMBER",
    "faxNumber": "+18483733682"
  },
  "subject": "text",
  "status": "DRAFT",
  "originalStatus": "text",
  "statusMessage": "text",
  "document": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "type": "doc-type-others",
    "title": "Others"
  },
  "patient": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "Jane Doe"
  },
  "receivedAt": "2026-01-01T00:00:00.000Z",
  "highQuality": true,
  "files": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "originalName": "document.pdf",
      "size": 1,
      "contentType": "application/pdf",
      "storageKey": "text"
    }
  ],
  "sentBy": "123e4567-e89b-12d3-a456-426614174000",
  "sentByName": "text",
  "reviewed": true
}

Last updated

Was this helpful?